Subject: Re: bug#11941: 24.1.50; Error in debbugs-gnu with gnus-inews-do-gcc

From: Michael Albinus <[email-masked]>
Date: Tue, 17 Jul 2012 12:22:36 +0200

Chong Yidong <[email-masked]> writes:

package 11941 emacs,gnus
thanks

> With latest trunk, I do this:
>
> 1. M-x debbugs-gnu-search RET [some search string] RET
> 2. [Move point to one of the entries in the *Emacs Bugs* buffer]
> 3. RET
> 4. In the ephemeral Gnus buffer, type `r' to reply to a message.
> 5. In the *unsent reply* buffer, type `C-c C-c' to send.
>
> Debugger entered--Lisp error: (error "No such function: nnspool-request-create-group")
>   signal(error ("No such function: nnspool-request-create-group"))
>   error("No such function: %s" nnspool-request-create-group)
>   gnus-get-function((nnspool "" (nnspool-active-file "/dev/null")) request-create-group)
>   gnus-request-create-group("sent.2012-07" (nnspool "" (nnspool-active-file "/dev/null")))
>   gnus-inews-do-gcc()
>   run-hooks(message-sent-hook)
>   message-send(nil)
>   message-send-and-exit(nil)
>
> The message still gets delivered, so only the gcc seems to be failing.
> I guess something in Gnus has changed.

This does not look like a debbugs-gnu bug. I suspect rather a gnus
problem.

I've added the "gnus" package to the report. This might increase the
visibility for the gnus maintainers :-)

Best regards, Miuchael.